<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: JoyReference.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_joy_reference_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">JoyReference.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_joy_reference_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef JOYREFERENCE_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define JOYREFERENCE_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keyword">class </span>Quaternion;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>AhrsData;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    }</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    }</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">class </span>JoyReference_impl;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span>framework { <span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_joy_reference.html">   33</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_joy_reference.html">JoyReference</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a59af735b7143824e0fe3cff0ab267585">JoyReference</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a>* position,std::string name);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#ae5db72ea69cfaad196c354c18706bd64">~JoyReference</a>();</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#aed9b7b4147df96120afa04bae90fa093">SetRollAxis</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a87725683b98bf5db43c1a2c63e95ec09">SetPitchAxis</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a49eb37763c26362392f70c009feec63d">SetYawAxis</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a5058fba00ed373fc387269274461f09b">SetAltitudeAxis</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            <a class="code" href="classframework_1_1core_1_1_ahrs_data.html">core::AhrsData</a>* <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#abf8b2195e8badf782840c53f94d22f7d">GetReferenceOrientation</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a90f400edb993764122e1d8a7540c92b9">ZRef</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a7885c91e037363787d37c7a278e067a8">DzRef</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a7192add19899c5291e352e6193edd27f">RollTrim</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#af27a681eef9e8874e6b76a9e1d737c20">PitchTrim</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a8da2ccc8a2a0c696b21b27fa36ec53cb">SetYawRef</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a8da2ccc8a2a0c696b21b27fa36ec53cb">SetYawRef</a>(<a class="code" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> <span class="keyword">const</span> &amp;value);</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#af8c6c9ce5441f77339447815439e88e1">SetZRef</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#ae48a3e27f41d9247ccfade2b9f3fb1f5">RollTrimUp</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a1ab4dc786eb641580b9f7140c7d72f2d">RollTrimDown</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#afafab646ac224c6c0a8627923bee541d">PitchTrimUp</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a320d203d6cfb69a868c1c34b594d0b55">PitchTrimDown</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_joy_reference.html#a788f1ac1ee088fa12ea19061b8572ac6">Update</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> time);</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;            <span class="keyword">class </span>JoyReference_impl* pimpl_;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    };</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="preprocessor">#endif // JOYREFERENCE_H</span></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_afafab646ac224c6c0a8627923bee541d"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#afafab646ac224c6c0a8627923bee541d">framework::filter::JoyReference::PitchTrimUp</a></div><div class="ttdeci">void PitchTrimUp(void)</div><div class="ttdoc">Trim up pitch. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:20</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_af27a681eef9e8874e6b76a9e1d737c20"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#af27a681eef9e8874e6b76a9e1d737c20">framework::filter::JoyReference::PitchTrim</a></div><div class="ttdeci">float PitchTrim(void) const </div><div class="ttdoc">Get pitch trim. </div></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a59af735b7143824e0fe3cff0ab267585"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a59af735b7143824e0fe3cff0ab267585">framework::filter::JoyReference::JoyReference</a></div><div class="ttdeci">JoyReference(const gui::LayoutPosition *position, std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout_position.html">framework::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:26</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_af8c6c9ce5441f77339447815439e88e1"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#af8c6c9ce5441f77339447815439e88e1">framework::filter::JoyReference::SetZRef</a></div><div class="ttdeci">void SetZRef(float value)</div><div class="ttdoc">Set z reference. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a7885c91e037363787d37c7a278e067a8"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a7885c91e037363787d37c7a278e067a8">framework::filter::JoyReference::DzRef</a></div><div class="ttdeci">float DzRef(void) const </div><div class="ttdoc">Get z derivative reference. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a788f1ac1ee088fa12ea19061b8572ac6"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a788f1ac1ee088fa12ea19061b8572ac6">framework::filter::JoyReference::Update</a></div><div class="ttdeci">void Update(core::Time time)</div><div class="ttdoc">Update references. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a320d203d6cfb69a868c1c34b594d0b55"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a320d203d6cfb69a868c1c34b594d0b55">framework::filter::JoyReference::PitchTrimDown</a></div><div class="ttdeci">void PitchTrimDown(void)</div><div class="ttdoc">Trim down pitch. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a1ab4dc786eb641580b9f7140c7d72f2d"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a1ab4dc786eb641580b9f7140c7d72f2d">framework::filter::JoyReference::RollTrimDown</a></div><div class="ttdeci">void RollTrimDown(void)</div><div class="ttdoc">Trim down roll. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_ae48a3e27f41d9247ccfade2b9f3fb1f5"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#ae48a3e27f41d9247ccfade2b9f3fb1f5">framework::filter::JoyReference::RollTrimUp</a></div><div class="ttdeci">void RollTrimUp(void)</div><div class="ttdoc">Trim up roll. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html">framework::filter::JoyReference</a></div><div class="ttdoc">Class creating references from a joystick. </div><div class="ttdef"><b>Definition:</b> JoyReference.h:33</div></div>
<div class="ttc" id="classframework_1_1core_1_1_ahrs_data_html"><div class="ttname"><a href="classframework_1_1core_1_1_ahrs_data.html">framework::core::AhrsData</a></div><div class="ttdoc">Class defining AHRS datas. </div><div class="ttdef"><b>Definition:</b> AhrsData.h:25</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a49eb37763c26362392f70c009feec63d"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a49eb37763c26362392f70c009feec63d">framework::filter::JoyReference::SetYawAxis</a></div><div class="ttdeci">void SetYawAxis(float value)</div><div class="ttdoc">Set yaw axis value. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a90f400edb993764122e1d8a7540c92b9"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a90f400edb993764122e1d8a7540c92b9">framework::filter::JoyReference::ZRef</a></div><div class="ttdeci">float ZRef(void) const </div><div class="ttdoc">Get z reference. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a7192add19899c5291e352e6193edd27f"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a7192add19899c5291e352e6193edd27f">framework::filter::JoyReference::RollTrim</a></div><div class="ttdeci">float RollTrim(void) const </div><div class="ttdoc">Get roll trim. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_ae5db72ea69cfaad196c354c18706bd64"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#ae5db72ea69cfaad196c354c18706bd64">framework::filter::JoyReference::~JoyReference</a></div><div class="ttdeci">~JoyReference()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a5058fba00ed373fc387269274461f09b"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a5058fba00ed373fc387269274461f09b">framework::filter::JoyReference::SetAltitudeAxis</a></div><div class="ttdeci">void SetAltitudeAxis(float value)</div><div class="ttdoc">Set thrust axis value. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a87725683b98bf5db43c1a2c63e95ec09"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a87725683b98bf5db43c1a2c63e95ec09">framework::filter::JoyReference::SetPitchAxis</a></div><div class="ttdeci">void SetPitchAxis(float value)</div><div class="ttdoc">Set pitch axis value. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_abf8b2195e8badf782840c53f94d22f7d"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#abf8b2195e8badf782840c53f94d22f7d">framework::filter::JoyReference::GetReferenceOrientation</a></div><div class="ttdeci">core::AhrsData * GetReferenceOrientation(void) const </div><div class="ttdoc">Get orientation reference. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_a8da2ccc8a2a0c696b21b27fa36ec53cb"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#a8da2ccc8a2a0c696b21b27fa36ec53cb">framework::filter::JoyReference::SetYawRef</a></div><div class="ttdeci">void SetYawRef(float value)</div><div class="ttdoc">Set yaw reference. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_joy_reference_html_aed9b7b4147df96120afa04bae90fa093"><div class="ttname"><a href="classframework_1_1filter_1_1_joy_reference.html#aed9b7b4147df96120afa04bae90fa093">framework::filter::JoyReference::SetRollAxis</a></div><div class="ttdeci">void SetRollAxis(float value)</div><div class="ttdoc">Set roll axis value. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_fe46344826a09271daf0b94572bf98c3.html">Filter</a></li><li class="navelem"><a class="el" href="dir_2d63b318a579ad532ef11df207587c97.html">src</a></li><li class="navelem"><a class="el" href="_joy_reference_8h.html">JoyReference.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
